Name:       ocaml-re
Version:    1.9.0
Release:    %mkrel 5
Summary:    Regular expression library for OCaml
License:    LGPL-2.1
Group:      Development/OCaml
URL:        https://github.com/ocaml/ocaml-re
Source0:        https://github.com/ocaml/%{name}/archive/%{version}/ocaml-re-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ounit-devel
BuildRequires:  ocaml-seq-devel
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
RE is regular expression library for OCaml.
It is still under developpement, but is already rather usable.
The following styles of regular expressions are supported:
 * Perl-style regular expressions (module Re_perl);
 * Posix extended regular expressions (module Re_posix);
 * Emacs-style regular expressions (module Re_emacs);
 * Shell-style file globbing (module Re_glob).

It is also possible to build regular expressions by combining simpler
regular expressions (module Re).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}
Requires:       ocaml-seq-devel

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocaml-re-%{version}

%build
make all

%check
make test

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/re

#dune install --prefix=$DESTDIR --libdir=$OCAMLFIND_DESTDIR

# These files will be installed using the doc and license directives
rm -rf %{buildroot}/doc

# So use the "manual jbuilder install" technique instead.
mkdir -p %{buildroot}%{_libdir}/ocaml
cp -aLr _build/install/default/lib/* %{buildroot}%{_libdir}/ocaml/

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md CHANGES.md TODO.txt
%license LICENSE.md
%dir %{_libdir}/ocaml/re
%dir %{_libdir}/ocaml/re/emacs
%dir %{_libdir}/ocaml/re/glob
%dir %{_libdir}/ocaml/re/pcre
%dir %{_libdir}/ocaml/re/perl
%dir %{_libdir}/ocaml/re/posix
%dir %{_libdir}/ocaml/re/str
%{_libdir}/ocaml/re/META
%{_libdir}/ocaml/re/opam
%{_libdir}/ocaml/re/*dune*
%{_libdir}/ocaml/re/*.cmi
%{_libdir}/ocaml/re/*.cma
%{_libdir}/ocaml/re/*.cmxs
#{_libdir}/ocaml/re/*/*dune*
%{_libdir}/ocaml/re/*/*.cmi
%{_libdir}/ocaml/re/*/*.cma
%{_libdir}/ocaml/re/*/*.cmxs

%files devel
%doc lib_test/
%{_libdir}/ocaml/re/*.a
%{_libdir}/ocaml/re/*.cmxa
%{_libdir}/ocaml/re/*.cmx
%{_libdir}/ocaml/re/*.ml*
%{_libdir}/ocaml/re/*.cmt
%{_libdir}/ocaml/re/*.cmti
%{_libdir}/ocaml/re/*/*.a
%{_libdir}/ocaml/re/*/*.cmxa
%{_libdir}/ocaml/re/*/*.cmx
%{_libdir}/ocaml/re/*/*.ml
%{_libdir}/ocaml/re/*/*.cmt


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.9.0-5.mga8
+ Revision: 1670671
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.9.0-4.mga8
+ Revision: 1551495
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.9.0-3.mga8
+ Revision: 1545734
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 1.9.0-2.mga8
+ Revision: 1485145
- enable seq support (needs rebuilding depending pkgs...)

* Wed Jan 22 2020 tv <tv> 1.9.0-1.mga8
+ Revision: 1482175
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1.7.3-3.mga7
+ Revision: 1324404
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 1.7.3-2.mga7
+ Revision: 1299922
- Mageia 7 Mass Rebuild

* Wed Aug 22 2018 daviddavid <daviddavid> 1.7.3-1.mga7
+ Revision: 1253353
- new version: 1.7.3
- switch to jbuilder

* Sun Nov 26 2017 tv <tv> 1.7.1-1.mga7
+ Revision: 1179337
- new release
- rebuild for new ocaml

* Mon Feb 22 2016 pterjan <pterjan> 1.5.0-1.mga6
+ Revision: 976183
- Update to 1.5.0

* Mon Feb 01 2016 pterjan <pterjan> 1.4.1-1.mga6
+ Revision: 930862
- Fix BuildRequires
- Update to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 742557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 683093
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 malo <malo> 1.2.2-1.mga5
+ Revision: 673935
- update to 1.2.2

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 534911
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 480188
- rebuild for ocaml-4.01.0

* Sat May 25 2013 blue_prawn <blue_prawn> 1.2.1-1.mga4
+ Revision: 427686
- updated to last version 1.2.1

* Wed Apr 03 2013 blue_prawn <blue_prawn> 1.2.0-1.mga3
+ Revision: 407534
- imported package ocaml-re

